Package org.postgis

## Class PGgeographyLW

- java.lang.Object
- - org.postgresql.util.PGobject
  - - org.postgis.PGgeo
    - - org.postgis.PGgeography
      - - org.postgis.PGgeographyLW

All Implemented Interfaces:
  `Serializable`, `Cloneable`

    public class PGgeographyLW
    extends PGgeography

A PostgreSQL JDBC PGobject extension data type modeling the geography type. The hex-encoded EWKB format is used to communicate with the backend, which is much more efficient, but only works with Lwgeom enabled PostGIS (1.0.0 and up).

Author:
  Phillip Ross
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

### Constructor Summary

Constructors
`PGgeographyLW()` Instantiate with default state.
`PGgeographyLW​(String value)` Instantiate with the specified state.
`PGgeographyLW​(Geometry geometry)` Instantiate with the specified state.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`String` `getValue()`

### Methods inherited from class org.postgis.PGgeo

`getGeometry, getGeoType, setGeometry, setValue, toString`

### Methods inherited from class org.postgresql.util.PGobject

`equals, equals, getType, hashCode, isNull, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PGgeographyLW

    public PGgeographyLW()

Instantiate with default state.

#### PGgeographyLW

    public PGgeographyLW​(Geometry geometry)

Instantiate with the specified state.

Parameters:
  `geometry` - the geometry to instantiate with

#### PGgeographyLW

    public PGgeographyLW​(String value)
                  throws SQLException

Instantiate with the specified state.

Parameters:
  `value` - the value to instantiate with
Throws:
  `SQLException`

### Method Detail

#### getValue

    public String getValue()

Overrides:
  `getValue` in class `PGgeo`

#### clone

    public Object clone()

Overrides:
  `clone` in class `PGgeography`